
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '@angular/material' as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$Angular14-primary: mat.define-palette(mat.$indigo-palette);
$Angular14-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$Angular14-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$Angular14-theme: mat.define-light-theme((
  color: (
    primary: $Angular14-primary,
    accent: $Angular14-accent,
    warn: $Angular14-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($Angular14-theme);

@import 'material-icons/iconfont/material-icons.css';

::ng-deep .mat-typography {
  font:normal !important;
}


body {
    margin: 0;
    padding: 0;
    //background: rgb(42,43,63);
    //background: linear-gradient(90deg, rgba(42,43,63,1) 0%, rgba(67,30,77,1) 100%);
    
    //background-color: #95a5a6;
    

}
html, body { height: 100%; scrollbar-width: thin; scrollbar-color: #2c3e50 #34495f; 
  .mat-body, .mat-body-1, .mat-typography .mat-body, .mat-typography .mat-body-1, .mat-typography {

    font: normal;
  } 
}
